﻿@using SonicHRM.DomainLogics
@using SonicHRM.Helpers
@model EmployeeViewModel

@inject DesignationLogics DesignationLogics
@inject AccountLogics AccountLogics
@{
    ViewData["Title"] = "Employee Management";
    var designations = DesignationLogics.GetAllDesignations();
    var employees = AccountLogics.GetAllEmployees();
}

<section class="content">
    <div class="row">
        @{
            if ((ViewAlertParam)ViewData["Alert"] != null)
            {
                await Html.RenderPartialAsync("_AlertPartial", (ViewAlertParam)ViewData["Alert"]);
            }
        }
        <!-- left column -->
        <div class="col-xs-12">
            <!-- general form elements -->
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Employee Details</h3>
                </div><!-- /.box-header -->
                <!-- form start -->
                <form asp-action="Index" enctype="multipart/form-data" role="form">
                    <div class="box-body">
                        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                        <div class="form-group">
                            <label asp-for="Name" class="control-label"></label>
                            <input asp-for="Name" class="form-control" />
                            <span asp-validation-for="Name" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="RegisteredEmail" class="control-label">Registered Email</label>
                            <input asp-for="RegisteredEmail" type="email" class="form-control" />
                            <span asp-validation-for="RegisteredEmail" class="text-danger"></span>
                            <span id="registeredEmailStatus" class="text-info"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="Address" class="control-label"></label>
                            <textarea asp-for="Address" class="form-control"></textarea>
                            <span asp-validation-for="Address" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="Education" class="control-label"></label>
                            <textarea asp-for="Education" class="form-control"></textarea>
                            <span asp-validation-for="Education" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="NationalId" class="control-label"></label>
                            <input asp-for="NationalId" class="form-control" />
                            <span asp-validation-for="NationalId" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="JoiningDate" class="control-label"></label>
                            <input asp-for="JoiningDate" class="form-control" />
                            <span asp-validation-for="JoiningDate" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="DesignationId" class="control-label"></label>
                            <select asp-for="DesignationId" class="form-control">
                                <option value="">Select Designation</option>
                                @foreach (var designation in designations)
                                {
                                    <option value="@designation.Id">@designation.DesignationName</option>
                                }
                            </select>
                            <span asp-validation-for="DesignationId" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="Photo" class="control-label">Photo</label>
                            <input asp-for="Photo" type="file" class="form-control" />
                        </div>
                    </div><!-- /.box-body -->

                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div><!-- /.box -->
        </div>
    </div>
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">User Informations</h3>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Designation</th>
                                <th>Joining Date</th>
                                <th>Photo</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var employee in employees)
                            {
                            <tr>
                                <td>@Html.DisplayFor(modelItem => employee.Name)</td>
                                <td>@Html.DisplayFor(modelItem => employee.Email)</td>
                                <td>@Html.DisplayFor(modelItem => employee.Designation.DesignationName)</td>
                                <td>@Html.DisplayFor(modelItem => employee.JoiningDate)</td>
                                <td>
                                    <img src="@Html.DisplayFor(modelItem => employee.Photo.ImageDataBase64)" alt="No image" style="height: 70px;" />
                                </td>
                                <td>
                                    @*@Html.ActionLink("Edit", "Edit", new { id = employee.Id }) |
                                    @Html.ActionLink("Details", "Details", new { id = employee.Id }) |
                                    @Html.ActionLink("Delete", "Delete", new { id = employee.Id })*@
                                </td>
                            </tr>
                            }
                        </tbody>
                        <tfoot>
                        <tr>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Designation</th>
                            <th>Joining Date</th>
                            <th>Photo</th>
                            <th>Action</th>
                        </tr>
                        </tfoot>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div>
    </div>
</section>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

    @*<script type="text/javascript">
        var checkEmail = function() {
            var email = document.getElementById('RegisteredEmail').value;
            //console.log(email);
            if (email === '' || email === null) {
                document.getElementById('registeredEmailStatus').innerHTML = '';
                return;
            }
            $.ajax({
                url: '/Employee/IsPotentialEmployee?email=' + email,
                success: function(result) {
                    if (result === true)
                        document.getElementById('registeredEmailStatus').innerHTML =
                            'Wow... This is a valid email address.';
                    else
                        document.getElementById('registeredEmailStatus').innerHTML =
                            'Error!!! Email not found or user already an employee.';
                }
            });
        };
        </script>*@
}
